@charset "UTF-8";
/* 初始化CSS */
html, body, ul, li, ol, dl, dd, dt, p, h1, h2, h3, h4, h5, h6, form, fieldset, legend, img {
  margin: 0;
  padding: 0;
}

fieldset, img {
  border: none;
}

address, caption, cite, code, dfn, th, var {
  font-style: normal;
  font-weight: normal;
}

ul, ol {
  list-style: none;
}

select, input {
  vertical-align: middle;
}

select, input, textarea {
  font-size: 12px;
  margin: 0;
  outline: none;
  box-shadow: none;
}

table {
  border-collapse: collapse;
}

a, a:hover, a:active, a:visited, a:link, a:focus {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

a {
  text-decoration: none;
  color: #333;
}

body {
  background: #f7f7f7;
  color: #333;
  font: 12px/22px "Microsoft Yahei", "微软雅黑", "Simsun", "宋体", "Arial";
}

.clearfix:after {
  content: "";
  display: block;
  height: 0;
  width: 0;
  overflow: hidden;
  clear: both;
}

@supports ((height: constant(safe-area-inset-top)) or (height: env(safe-area-inset-top))) and (-webkit-overflow-scrolling: touch) {
  .edit-box {
    /* 适配齐刘海 */
    padding-top: constant(safe-area-inset-top) !important;
    padding-top: env(safe-area-inset-top) !important;
  }

  .safe-bottom {
    /* 适配底部小黑条 */
    padding-bottom: costant(safe-area-inset-bottom) !important;
    padding-bottom: env(safe-area-inset-bottom) !important;
  }
}
.message-mask {
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 20;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.message-content {
  background: rgba(0, 0, 0, 0.8);
  position: absolute;
  z-index: 21;
  text-align: center;
  border-radius: 0.16rem;
}
.message-content p {
  padding: 0.2rem;
  line-height: 0.56rem;
  color: #fff;
  font-size: 15px;
}

.emoji-center {
  display: inline-block;
  height: 0.4rem;
  line-height: 0.4rem;
  vertical-align: middle;
  padding-top: 0.02rem;
}
.emoji-center .emoji-icon {
  width: 0.34rem;
  height: 0.34rem;
  margin: 0.02rem;
}

.dropload-up, .dropload-down {
  position: relative;
  height: 0;
  overflow: hidden;
  font-size: 12px;
  /* 开启硬件加速 */
  -webkit-transform: translateZ(0);
  transform: translateZ(0);
}

.dropload-down {
  height: 50px;
}

.dropload-refresh, .dropload-update, .dropload-load, .dropload-noData {
  height: 50px;
  line-height: 50px;
  text-align: center;
}

.huan {
  display: inline-block;
  height: 0.6rem;
  width: 0.6rem;
  border-radius: 100%;
  margin: 6px;
  text-align: center;
  line-height: 0.6rem;
  background: url("//n.sinaimg.cn/finance/new_feedback_static/huan.png") no-repeat 0 0/100% 100%;
}

.huan-c {
  display: inline-block;
  height: 0.6rem;
  width: 0.6rem;
  border-radius: 100%;
}

.huan-q {
  display: inline-block;
  height: 0.6rem;
  width: 0.6rem;
  background: url("//n.sinaimg.cn/finance/new_feedback_static/loading.png") no-repeat 0 0/100% 100%;
  border-radius: 100%;
  font-size: 0;
  text-align: center;
  position: relative;
}
.huan-q img {
  width: 100%;
  height: 100%;
  border-radius: 100%;
}

.over-huan {
  background: url("//n.sinaimg.cn/finance/new_feedback_static/huan.png") no-repeat 0 0/100% 100%;
}

.animation-c {
  -webkit-animation: rotate 0.75s linear infinite;
  animation: rotate 0.75s linear infinite;
}
.animation-c i {
  width: 0.2rem;
  height: 0.2rem;
  background: #fff;
  position: absolute;
  right: 0.1rem;
}

@-webkit-keyframes rotate {
  0% {
    -webkit-transform: rotate(0deg);
  }
  50% {
    -webkit-transform: rotate(180deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}
@keyframes rotate {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(180deg);
  }
  100% {
    transform: rotate(360deg);
  }
}